/*
 * File:  ReadPartial.hh
 * Author:  mikolas
 * Created on:  Sun, Aug 12, 2012 4:56:24 PM
 * Copyright (C) 2012, Mikolas Janota
 */
#ifndef READPARTIAL_HH_23029
#define READPARTIAL_HH_23029
#include "ReadWCNFBase.hh"
namespace Mifumax {
  class ReadPartial : public ReadWCNFBase {
  public:
    ReadPartial(Reader& input_file);
    ReadPartial(const ReadPartial& orig);
    virtual ~ReadPartial();
    const ClauseVector&        get_soft_clause_vector() const  {return soft_clauses;}
    const ClauseVector&        get_hard_clause_vector() const  {return hard_clauses;}
  private:
    ClauseVector      soft_clauses;
    ClauseVector      hard_clauses;
    virtual void      parse_clause();
  };
};
#endif /* READPARTIAL_HH_23029 */
